Update a Beneficiary

Update the details of an existing beneficiary. Only ACTIVE beneficiaries can be updated. Pass only the fields you want to change — omitted fields remain unchanged.
Request Parameters
idstring
required
Unique identifier of the beneficiary to update.
nicknamestring
New display name for this beneficiary.
phonestring
New beneficiary contact phone number.
emailstring
New beneficiary contact email address. Max 64 characters.
regionstring
ISO 3166 two-letter country/region code of the beneficiary's bank or wallet (e.g., US, GB).
citystring
New beneficiary city.
addressstring
New beneficiary street address. Max 256 characters.
bankDetailsBankDetail
Updated bank account details. Pass only when you need to change related bank information.
Show child parametersShow child parameters
Response Parameters
resultResult
See Result.
idstring
Unique identifier for this beneficiary.
referenceBeneficiaryIdstring
Your internal reference ID for this beneficiary.
statusstring
Current lifecycle status. See BeneficiaryStatus.
regionstring
ISO 3166 two-letter country/region code.
accountTypestring
Type of beneficiary account.
entityTypestring
Beneficiary entity type.
relationTypestring
Relationship type.
classificationCodestring
Relationship classification code when relationType = THIRD_PARTY.
currencystring
Account currency. Three-letter ISO 4217 code.
paymentTypestring
Supported payment rail after update.
nicknamestring
Display name for this beneficiary.
phonestring
Beneficiary contact phone number.
emailstring
Beneficiary contact email address.
addressstring
Beneficiary's street address.
citystring
Beneficiary's city.
bankDetailsBankDetail
Updated bank account details. Returned when accountType is BANK_ACCOUNT.
Show child parametersShow child parameters
walletDetailsWalletDetail
E-wallet details. Returned when accountType is DIGITAL_WALLET.
Show child parametersShow child parameters
createdAtdatetime
Original creation timestamp. ISO 8601 extended format.
Error Codes
resultCoderesultStatusresultMessageTroubleshooting
SUCCESSSSuccessN/A
BENEFICIARY_NOT_EXISTFBeneficiary not found.Verify the `id` is correct. Use List Beneficiaries to find the right ID.
UN_SUPPORT_BUSINESSFThe requested business scenario is not supported.Verify all parameter values are within supported ranges and retry.
CONTRACT_NOT_EXISTFThe required contract does not exist.Ensure the required service contract is in place before initiating this operation. Contact WorldFirst support.
CARD_TEMPLATE_NOT_EXISTFNo card templates matched the query conditions.Verify the required information for the card template and retry.
Definition
POST /api/open/v1/beneficiaries/update
Request
{
"id": "20260401123123124",
"bankDetails": {
  "routingNumber": "021000021",
  "accountHolderName": {
    "fullName": "UpdatedName"
  }
}
}
Response
{
"result": {
  "resultCode": "SUCCESS",
  "resultMessage": "success",
  "resultStatus": "S"
},
"id": "20260401123123124",
"status": "ACTIVE",
"createdAt": "2026-03-30T12:08:56+08:00",
"nickname": "Supplier A",
"currency": "USD",
"region": "US",
"paymentType": "LOCAL",
"accountType": "BANK_ACCOUNT",
"entityType": "PERSONAL",
"relationType": "THIRD_PARTY",
"classificationCode": "0001",
"bankDetails": {
  "accountHolderName": {
    "fullName": "UpdatedName"
  },
  "accountNumber": "50001121",
  "routingNumber": "021000021",
  "bankName": "JPMorgan Chase Bank, NA"
}
}